$(function() {
    
    $('#inputtags').tagit({
        tagSource: availableTags, //自动提示
        triggerKeys: ['enter', 'space'], //触发
        minLength: 1,
        caseSensitive: true,
        allowNewTags: true,
        sortable: true, //排序
        select: false, //下拉
        maxTags: 6,
        editable: false, //是否可编辑
        initialTags: [], //初始化数据
    });

    $('#inputtags').keydown(function(e)
    {
        var tagValue = "";
        if (e.keyCode == 13 ||e.keyCode == 8 ||e.keyCode ==32) {
            $(".tagit-label").each(function() {
                var str = $(this).html();
                if (tagValue.length > 0)
                    tagValue = tagValue + ',' + str;
                else
                    tagValue = str;
            });
            $("#tags").val(tagValue);
        }
    });
    
     $('#inputtags').click(function(){
            var tagValue = "";
         $(".tagit-label").each(function() {
                var str = $(this).html();
                if (tagValue.length > 0)
                    tagValue = tagValue + ',' + str;
                else
                    tagValue = str;
            });
            
             $("#tags").val(tagValue);
     });
     
    
    


});
